Twinkle, my favourite SIP client, seems no longer developed, has been accused of "bitrotting" and even dropped from some distributions. While I don't believe in bits actually rotting, there is one pressing issue: twinkle uses Qt3.

While there are some patches reportedly allowing to build twinkle with Qt4, e.g. here, all seem to use a Qt3 compatibility layer of Qt4 which has been dropped in Qt5, AFAIK, so that those won't be very future-proof either.

The goal is to replace uses of obsolete Qt3 API and replace them with native Qt5 features so that twinkle can survive few more years.

Looking for mad skills in:

c++ qt

This project is part of:

Hack Week 12

Activity

  • over 4 years ago: mkubecek added keyword "qt" to Porting Twinkle to Qt5
  • over 4 years ago: mkubecek added keyword "c++" to Porting Twinkle to Qt5
  • over 4 years ago: mkubecek started Porting Twinkle to Qt5
  • over 4 years ago: mkubecek originated Porting Twinkle to Qt5
  • Show History

    Comments

    • mkubecek
      over 4 years ago by mkubecek | Reply

      End-of-hackweek status: twinkle now builds against Qt4 (but only with KDE support disabled for now), can be started, make a call, hang up and quit without crashing (and some more things, of course). What works:

      • cleaned up some mess in the build system
      • converted 5 out of 25 forms to native Qt4 classes
      • fixed a few bugs found on the way (that weren't seen with Qt3)

      What does not:

      • most forms still use Qt3Support compatibility module
      • once these are converted, try building against Qt5
      • only builds with --without-kde for now
      • "UI locking" model is broken; removed most broken parts, still a lot to do
      • more cleanup definitely needed
      • no work on IPv6 support yet

    • mkubecek
      about 4 years ago by mkubecek | Reply

      An update: few months after the hackweek, I was contacted by Luboš Doležel who offered help. In a few days, he was able to finish the conversion, reworked the build system and implemented some more improvements.

      A new version 1.9.0 has been released in July 2015 and is available in Tumbleweed and Leap 42.1 (13.1 and 13.2 packages can be found in homeadd-emojifun OBS project

    Similar Projects

    HelenOS of the <future> by jjindrak

    I have previously implemented a major portion o...


    [Windows Subsystem for Linux] Build newest WSL-DistroLauncher in OBS by lkocman

    This is a task to update current WSL-Launcher ...


    [Windows Subsystem for Linux] Build newest WSL-DistroLauncher in OBS by lkocman

    This is a task to update current WSL-Launcher ...


    Ricochet: Anonymous P2P instant messaging (janitorial work / maintenance) by wfrisch

    > [Ricochet](https://github.com/ricochet-im/ric...


    Controlling and Testing the YaST UI Remotely (for Integration Tests, openQA) by lslezak

    Hackweek 18 Update

    What Has Been Done ...


    Make Ruqola Rocket.Chat client useable by zbenjamin

    Since we are moving to [Rocket.Chat](https://ch...


    Ricochet: Anonymous P2P instant messaging (janitorial work / maintenance) by wfrisch

    > [Ricochet](https://github.com/ricochet-im/ric...